Recent

Author Topic: HELP!HELP! I got an error when installing fpc&lazarus with fpcupdelux  (Read 912 times)

morningdragon

  • Newbie
  • Posts: 5
/usr/bin/make revision.inc
/bin/echo "'15785-g15b3f16646'" > revision.inc
fpcupdeluxe: info: FPC Native Installer (BuildModuleCustom: FPC): Using FPC bootstrap compiler with version: 3.3.1.
fpcupdeluxe: info: FPC Native Installer (BuildModuleCustom: FPC): Now building FPC.
fpcupdeluxe: WARNING: FPC Native Installer (BuildModuleCustom: FPC): Adding OVERRIDEVERSIONCHECK=1 due to wrong version of bootstrapper !!
fpcupdeluxe: Executing: /usr/bin/make --jobs=8 FPMAKEOPT=--threads=8 PP=/home/lqf/fpcupdeluxe/fpcbootstrap/ppcloongarch64 FPCDIR=/home/lqf/fpcupdeluxe/fpcsrc FPCMAKE=/home/lqf/fpcupdeluxe/fpc/bin/loongarch64-linux/fpcmake PPUMOVE=/home/lqf/fpcupdeluxe/fpc/bin/loongarch64-linux/ppumove PREFIX=/home/lqf/fpcupdeluxe/fpc INSTALL_PREFIX=/home/lqf/fpcupdeluxe/fpc INSTALL_SOURCEDIR=/home/lqf/fpcupdeluxe/fpcsrc INSTALL_BASEDIR=/home/lqf/fpcupdeluxe/fpc/bin/loongarch64-linux INSTALL_UNITDIR=/home/lqf/fpcupdeluxe/fpc/units/loongarch64-linux INSTALL_BINDIR=/home/lqf/fpcupdeluxe/fpc/bin/loongarch64-linux INSTALL_LIBDIR=/home/lqf/fpcupdeluxe/fpc/lib INSTALL_SHAREDDIR=/home/lqf/fpcupdeluxe/fpc/share INSTALL_DATADIR=/home/lqf/fpcupdeluxe/fpc/data INSTALL_DOCDIR=/home/lqf/fpcupdeluxe/fpc/doc INSTALL_EXAMPLEDIR=/home/lqf/fpcupdeluxe/fpc/examples OS_SOURCE=linux CPU_SOURCE=loongarch64 OS_TARGET=linux CPU_TARGET=loongarch64 OVERRIDEVERSIONCHECK=1 OPT=-Sg -vw-n-h-l-d-u-t-p-c- -dREVINC --directory=/home/lqf/fpcupdeluxe/fpcsrc all (working dir: /home/lqf/fpcupdeluxe/fpcsrc)
/usr/bin/make compiler_cycle RELEASE=1
You have overriden the starting compiler versioncheck while using starting compiler version 3.3.1. This situation is not supported and strange things and errors may happen. Remove OVERRIDEVERSIONCHECK=1 to fix this.
/usr/bin/make -C compiler cycle
/usr/bin/make tempclean
/usr/bin/make ppc3
/usr/bin/make 'OLDFPC=' next CYCLELEVEL=1 'COMPILEREXENAME=ppc1'
/usr/bin/make rtlclean
/usr/bin/make -C /home/lqf/fpcupdeluxe/fpcsrc/rtl clean
/usr/bin/make -C linux clean
/usr/bin/make rtl
/usr/bin/make -C /home/lqf/fpcupdeluxe/fpcsrc/rtl 'OPT=-Sg -vw-n-h-l-d-u-t-p-c- -dREVINC' all
/usr/bin/make -C linux all
/home/lqf/fpcupdeluxe/fpcbootstrap/ppcloongarch64 -Ur -Ur -Xs -O2 -n -Fi../inc -Fi../loongarch64 -Fi../unix -Filoongarch64 -FE. -FU/home/lqf/fpcupdeluxe/fpcsrc/rtl/units/loongarch64-linux -Fl/usr/lib/gcc/loongarch64-unknown-linux-gnu/14.0.1 -Sg -vw-n-h-l-d-u-t-p-c- -dREVINC -dloongarch64 -dRELEASE  -Us -Sg system.pp
Error: Path "./" does not exist
make[6]: *** [Makefile:2367: linux_all] Error 2
make[5]: *** [Makefile:5486: rtl] Error 2
make[4]: *** [Makefile:5319: next] Error 2
make[3]: *** [Makefile:5325: ppc1] Error 2
make[2]: *** [Makefile:5337: cycle] Error 2
make[1]: *** [Makefile:3256: compiler_cycle] Error 2
make: *** [Makefile:3288: build-stamp.loongarch64-linux] Error 2

fpcupdeluxe: ERROR: FPC Native Installer (BuildModuleCustom: FPC): Error running /usr/bin/make for FPC failed with exit code 512
. Details: .


ERROR: Fpcupdeluxe fatal error !
Sequencer (FPC): Failure running fpcupdeluxe: error executing sequence FPC
Sequencer (Only): Failure running fpcupdeluxe: error executing sequence Only

It made me out of my mind!any thread or idea will be thankful!

TRon

  • Hero Member
  • *****
  • Posts: 2801
fpcupdeluxe: WARNING: FPC Native Installer (BuildModuleCustom: FPC): Adding OVERRIDEVERSIONCHECK=1 due to wrong version of bootstrapper !!
Wrong bootstrapper. If you look close to the error log then it also states that all bets are off in such case.

Did you perhaps instructed FPCUpDeluxe to use your native installed FPC ?

fwiw: I am aware that the override is probably forced because of the new target.

Quote
Error: Path "./" does not exist
Is that perhaps your installation path that you provided with FPCUpDeluxe ? afaik it only works with fully qualified paths

Anyhows, the first order of business is always to get rid of the multithreaded build.
« Last Edit: June 07, 2024, 04:06:26 am by TRon »

morningdragon

  • Newbie
  • Posts: 5
thank you ,i saw the statements you mentioned,but i dont know where to motify it,I ll try some other versions of fpcup.
best!

TRon

  • Hero Member
  • *****
  • Posts: 2801
,but i dont know where to motify it
If you go to the setup ++ options a window will popup that looks like this.

Use jobs for gnu make must be turned off to not build multithreading
Use system FPC for lazarus must be turned off in order to let FPCUpDeluxe use its own FPC.

At the main window of FPCUpDeluxe at the left upper corner is where the destination path to install can be modified.


TRon

  • Hero Member
  • *****
  • Posts: 2801
fwiw: I was able to create a cross-compiler for loongarch64 using FPCUpDeluxe (v2.4.0e) on a Linux x86_64 machine (15790-gf2bcf407f3-dirty). Ofc your mileage might vary especially since you are working natively.

 

TinyPortal © 2005-2018